package com.ruoyi.generator.domain.Community;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 文章上传的图片
 * @TableName community_article_images
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CommunityArticleImages extends BaseEntity implements Serializable {
    /**
     * 图片id
     */
    @ApiModelProperty("图片id")
    private Long imageId;

    /**
     * 文章id
     */
    @ApiModelProperty("文章id")
    private Long articleId;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    private String imageUrl;

    private static final long serialVersionUID = 1L;
}